Skip to content

Video Center

All operations require authentication.

3 operationsv2/videocenter/resource
Agent setup

Get all servicesAlpha

GET
/v2/videocenter/resource

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200ServiceWithIAM[]successful operation
currentState
read-only
ServiceCurrentState

What the service currently holds and how much of its offer is used

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Unique identifier of the service

resourceStatus
read-only
ResourceStatusEnum

Whether the service is ready to use, still being set up, or in error

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/videocenter/resource \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "currentState": { "createdAt": "2024-01-01T12:00:00Z", "offerName": "string", "vodCount": { "allocated": 0, "hostable": 0 }, "vodDurationMinutes": { "allocated": 0, "hostable": 0 } }, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING" }]

Get a serviceAlpha

GET
/v2/videocenter/resource/{serviceId}

Path parameters

serviceId
required
stringuuid

Service ID

Response

200ServiceWithIAMsuccessful operation
currentState
read-only
ServiceCurrentState

What the service currently holds and how much of its offer is used

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
stringuuid

Unique identifier of the service

resourceStatus
read-only
ResourceStatusEnum

Whether the service is ready to use, still being set up, or in error

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Example uses serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/videocenter/resource/{serviceId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "currentState": { "createdAt": "2024-01-01T12:00:00Z", "offerName": "string", "vodCount": { "allocated": 0, "hostable": 0 }, "vodDurationMinutes": { "allocated": 0, "hostable": 0 } }, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING"}

Generate an Auth TokenAlpha

POST
/v2/videocenter/resource/{serviceId}/auth/token

Path parameters

serviceId
required
stringuuid

Service ID

Request body (required)

language
required
string

Language the player interface and its messages should be shown in

Response

200AuthTokenResponsesuccessful operation
token
read-only
string

JWT

Example uses serviceId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/videocenter/resource/{serviceId}/auth/token \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "token": "string"}